From cd1fbfcccc3291b8cb2da76ede678dcae0243eb9 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?S=C3=A9bastien=20Escudier?= <sebastien-devel@celeos.eu>
Date: Mon, 6 Apr 2009 12:02:08 +0200
Subject: [PATCH] Remove timeout use in live555

---
 modules/demux/live555.cpp |   20 +-------------------
 1 files changed, 1 insertions(+), 19 deletions(-)

diff --git a/modules/demux/live555.cpp b/modules/demux/live555.cpp
index d010da5..7e3c99f 100644
--- a/modules/demux/live555.cpp
+++ b/modules/demux/live555.cpp
@@ -479,7 +479,6 @@ static int Connect( demux_t *p_demux )
     char *p_sdp       = NULL;
     int  i_http_port  = 0;
     int  i_ret        = VLC_SUCCESS;
-    int timeout;
 
     if( p_sys->url.i_port == 0 ) p_sys->url.i_port = 554;
     if( p_sys->url.psz_username || p_sys->url.psz_password )
@@ -542,38 +541,21 @@ describe:
     authenticator.setUsernameAndPassword( (const char*)psz_user,
                                           (const char*)psz_pwd );
 
-    timeout = var_CreateGetInteger(p_demux, "ipv4-timeout");
-    timeout /= 1000;
-
-#if LIVEMEDIA_LIBRARY_VERSION_INT >= 1223337600
-    psz_options = p_sys->rtsp->sendOptionsCmd( psz_url, psz_user, psz_pwd,
-                                               &authenticator, timeout );
-#else
     psz_options = p_sys->rtsp->sendOptionsCmd( psz_url, psz_user, psz_pwd,
                                                &authenticator );
-#endif
+
     if( psz_options == NULL && authenticator.realm() != NULL )
     {
         // try again, with the realm set this time
-#if LIVEMEDIA_LIBRARY_VERSION_INT >= 1223337600
-        psz_options = p_sys->rtsp->sendOptionsCmd( psz_url, psz_user, psz_pwd,
-                                               &authenticator, timeout );
-#else
         psz_options = p_sys->rtsp->sendOptionsCmd( psz_url, psz_user, psz_pwd,
                                                &authenticator );
-#endif
     }
     if( psz_options )
         p_sys->b_get_param = strstr( psz_options, "GET_PARAMETER" ) ? true : false ;
     delete [] psz_options;
 
-#if LIVEMEDIA_LIBRARY_VERSION_INT >= 1223337600
-    p_sdp = p_sys->rtsp->describeWithPassword( psz_url, (const char*)psz_user, (const char*)psz_pwd,
-                                          var_GetBool( p_demux, "rtsp-kasenna" ), timeout );
-#else
     p_sdp = p_sys->rtsp->describeWithPassword( psz_url, (const char*)psz_user, (const char*)psz_pwd,
                                           var_GetBool( p_demux, "rtsp-kasenna" ) );
-#endif
 
     if( p_sdp == NULL )
     {
-- 
1.5.4.3

